Package com.avaya.clientservices.call

## Enum CallEndReason

- java.lang.Object
- - java.lang.Enum<CallEndReason>
  - - com.avaya.clientservices.call.CallEndReason

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CallEndReason>`

      public enum CallEndReason
      extends java.lang.Enum<CallEndReason>

  Call ended reasons.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CALL_DISCONNECTED` | Ended remotely (applicable to both point-to-point and conference calls).
    `CALL_ENDED_LOCALLY` | Ended locally (applicable to both point-to-point and conference calls).
    `DISCONNECTED_BY_CONFERENCE_MODERATOR` | Conference call ended by conference moderator or system administrator.
    `SESSION_EXPIRED` | Ended due to session timer expired (applicable to both point-to-point and conference calls).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CallEndReason` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CallEndReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CALL_ENDED_LOCALLY

          public static final CallEndReason CALL_ENDED_LOCALLY

      Ended locally (applicable to both point-to-point and conference calls).

    - #### CALL_DISCONNECTED

          public static final CallEndReason CALL_DISCONNECTED

      Ended remotely (applicable to both point-to-point and conference calls).

    - #### DISCONNECTED_BY_CONFERENCE_MODERATOR

          public static final CallEndReason DISCONNECTED_BY_CONFERENCE_MODERATOR

      Conference call ended by conference moderator or system administrator.

    - #### SESSION_EXPIRED

          public static final CallEndReason SESSION_EXPIRED

      Ended due to session timer expired (applicable to both point-to-point and conference calls).

  - ### Method Detail

    - #### values

          public static CallEndReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallEndReason c : CallEndReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallEndReason valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null